# Uses of Class
org.apache.commons.math3.stat.descriptive.rank.Percentile

Packages that use Percentile
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.

## Uses of Percentile in org.apache.commons.math3.stat.descriptive.rank

Subclasses of Percentile in org.apache.commons.math3.stat.descriptive.rank
Modifier and Type
Class
Description
`class`
`Median`
Returns the median of the available values.
Methods in org.apache.commons.math3.stat.descriptive.rank that return Percentile
Modifier and Type
Method
Description
`Percentile`
Percentile.`copy()`
Returns a copy of the statistic with the same internal state.
`Percentile`
Percentile.`withEstimationType(Percentile.EstimationType newEstimationType)`
Build a new instance similar to the current one except for the `estimation type`.
`Percentile`
Percentile.`withKthSelector(KthSelector newKthSelector)`
Build a new instance similar to the current one except for the `kthSelector` instance specifically set.
`Percentile`
Percentile.`withNaNStrategy(NaNStrategy newNaNStrategy)`
Build a new instance similar to the current one except for the `NaN handling` strategy.
Methods in org.apache.commons.math3.stat.descriptive.rank with parameters of type Percentile
Modifier and Type
Method
Description
`static void`
Percentile.`copy(Percentile source, Percentile dest)`
Deprecated.
as of 3.4 this method does not work anymore, as it fails to copy internal states between instances configured with different `estimation type`, `NaN handling strategies` and `kthSelector`, it therefore always throw `MathUnsupportedOperationException`
Constructors in org.apache.commons.math3.stat.descriptive.rank with parameters of type Percentile
Modifier
Constructor
Description
``
`Percentile(Percentile original)`
Copy constructor, creates a new `Percentile` identical to the `original`